--<ScriptOptions statementTerminator=";"/>

CREATE TABLE "PERFDB"."PERF_LOG" (
		"TXN_DT" DATE NOT NULL, 
		"TXN_STATUS" VARCHAR(255), 
		"TXN_START" TIMESTAMP, 
		"TXN_START_MS" BIGINT, 
		"REQUEST_GUID" VARCHAR(255), 
		"REQUEST_SESSION_ID" VARCHAR(255), 
		"HOST_NAME" VARCHAR(255), 
		"HOST_IP" VARCHAR(64), 
		"INSTANCE_NAME" VARCHAR(255), 
		"JVM_DEPTH" INTEGER, 
		"TXN_FILTER_DEPTH" INTEGER, 
		"TXN_TIME_MS" BIGINT, 
		"TXN_CLASS" VARCHAR(255), 
		"INFO_CONTEXT" VARCHAR(2048), 
		"TXN_TYPE" VARCHAR(255), 
		"TXN_NAME" VARCHAR(255), 
		"SUB_TXN_NAME" VARCHAR(255), 
		"REQUEST_GUID_SOURCE" VARCHAR(255), 
		"USER_ID" VARCHAR(255), 
		"THREAD_NAME" VARCHAR(255), 
		"THREAD_ID" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "USERSPACE1"
	COMPRESS NO;

CREATE TABLE "PERFDB"."PERF_LOG_AGGREGATE" (
		"TXN_DT" DATE NOT NULL, 
		"TXN_NAME" VARCHAR(255) NOT NULL, 
		"SUB_TXN_NAME" VARCHAR(255) NOT NULL, 
		"TXN_TYPE" VARCHAR(255) NOT NULL, 
		"AVERAGE_TXN_TIME_MS" BIGINT, 
		"STD_DEV_TXN_TIME_MS" BIGINT, 
		"MIN_TXN_TIME_MS" BIGINT, 
		"MAX_TXN_TIME_MS" BIGINT, 
		"TOTAL_TXN_TIME_MS" BIGINT, 
		"TOTAL_TXN_COUNT" BIGINT, 
		"AGGREGATE_TYPE" VARCHAR(255)
	)
	DATA CAPTURE NONE 
	IN "USERSPACE1"
	COMPRESS NO;

CREATE INDEX "PERFDB"."PERF_LOG_AGGREGATE__IDX"
	ON "PERFDB"."PERF_LOG_AGGREGATE"
	("AGGREGATE_TYPE"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	COLLECT SAMPLED DETAILED STATISTICS
	COMPRESS NO;

CREATE INDEX "PERFDB"."PERF_LOG_AGGREGATE__IDX_SUB_TXN_NAME"
	ON "PERFDB"."PERF_LOG_AGGREGATE"
	("SUB_TXN_NAME"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	COLLECT SAMPLED DETAILED STATISTICS
	COMPRESS NO;

CREATE INDEX "PERFDB"."PERF_LOG_AGGREGATE__IDX_TXN_DT"
	ON "PERFDB"."PERF_LOG_AGGREGATE"
	("TXN_DT"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	COLLECT SAMPLED DETAILED STATISTICS
	COMPRESS NO;

CREATE INDEX "PERFDB"."PERF_LOG_AGGREGATE__IDX_TXN_NAME"
	ON "PERFDB"."PERF_LOG_AGGREGATE"
	("TXN_NAME"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	COLLECT SAMPLED DETAILED STATISTICS
	COMPRESS NO;

CREATE INDEX "PERFDB"."PERF_LOG__IDX"
	ON "PERFDB"."PERF_LOG"
	("TXN_DT"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	COLLECT SAMPLED DETAILED STATISTICS
	COMPRESS NO;

CREATE INDEX "PERFDB"."PERF_LOG__IDX1"
	ON "PERFDB"."PERF_LOG"
	("REQUEST_GUID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	COLLECT SAMPLED DETAILED STATISTICS
	COMPRESS NO;

CREATE INDEX "PERFDB"."PERF_LOG__IDX2"
	ON "PERFDB"."PERF_LOG"
	("REQUEST_SESSION_ID"		ASC)
	MINPCTUSED 0
	ALLOW REVERSE SCANS
	PAGE SPLIT SYMMETRIC
	COLLECT SAMPLED DETAILED STATISTICS
	COMPRESS NO;

ALTER TABLE "PERFDB"."PERF_LOG_AGGREGATE" ADD CONSTRAINT "PERF_LOG_AGGREGATE_PK" PRIMARY KEY
	("TXN_DT", 
	 "TXN_NAME", 
	 "SUB_TXN_NAME", 
	 "TXN_TYPE");

GRANT REFERENCES ON TABLE "PERFDB"."PERF_LOG" TO  PUBLIC WITH GRANT OPTION;

GRANT SELECT ON TABLE "PERFDB"."PERF_LOG" TO  PUBLIC WITH GRANT OPTION;

